---
search:
  tags:
    - agents
    - GET
seo:
  description: >-
    Revision history of a pack — one row per version,… Reference for the GET
    /workspaces/{organizationId}/agent/guidance/{id}/versions endpoint in the
    Pile API.
sidebar:
  label: List agent guidance versions
  badge: GET
title: List agent guidance versions
type: openapi-operation
---
Revision history of a pack — one row per version, including versions recorded on sessions dispatched before a delete.

`GET /workspaces/{organizationId}/agent/guidance/{id}/versions`

**Responses**

- `200` — Guidance pack versions

Response example, 200:

```json
{
  "versions": [
    {
      "id": "string",
      "organizationId": "string",
      "packId": "string",
      "version": 0,
      "name": "string",
      "body": "string",
      "links": [
        {
          "label": "string",
          "url": "string"
        }
      ],
      "actorId": "string",
      "createdAt": "string"
    }
  ]
}
```
